summaryrefslogtreecommitdiffstats
path: root/network/mod_wsgi
diff options
context:
space:
mode:
author Adis Nezirovic <adis_at_linux.org.ba>2010-05-11 22:54:56 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:56 +0200
commit1dc81fa8fd86473426976958d01a9d8ed2afa3ea (patch)
tree70e150b593e5fbc118286de05fb9bb52d94b4c88 /network/mod_wsgi
parent3b4c071bc72e00ece7d848be706753da735a438a (diff)
downloadslackbuilds-1dc81fa8fd86473426976958d01a9d8ed2afa3ea.tar.gz
slackbuilds-1dc81fa8fd86473426976958d01a9d8ed2afa3ea.tar.xz
network/mod_wsgi: Added to 12.1 repository
Diffstat (limited to 'network/mod_wsgi')
-rw-r--r--network/mod_wsgi/README12
-rw-r--r--network/mod_wsgi/mod_wsgi.SlackBuild48
-rw-r--r--network/mod_wsgi/mod_wsgi.info8
-rw-r--r--network/mod_wsgi/slack-desc19
4 files changed, 87 insertions, 0 deletions
diff --git a/network/mod_wsgi/README b/network/mod_wsgi/README
new file mode 100644
index 0000000000..7c6b90cc14
--- /dev/null
+++ b/network/mod_wsgi/README
@@ -0,0 +1,12 @@
+mod_wsgi is a simple to use Apache module which can host any
+Python application which supports the Python WSGI interface.
+The module would be suitable for use in hosting high performance
+production web sites as well as your average personal sites
+running on commodity web hosting services.
+
+All major Python web frameworks/applications support mod_wsgi;
+that means Django, Pylons, Turbogears, etcetera...
+
+Before using mod_wsgi, stop apache and add the following to
+your /etc/httpd/httpd.conf file:
+ LoadModule wsgi_module lib/httpd/modules/mod_wsgi.so
diff --git a/network/mod_wsgi/mod_wsgi.SlackBuild b/network/mod_wsgi/mod_wsgi.SlackBuild
new file mode 100644
index 0000000000..04d4721c58
--- /dev/null
+++ b/network/mod_wsgi/mod_wsgi.SlackBuild
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+## Slackware build script for mod_wsgi
+##
+## Copyright 2008 Adis Nezirovic <adis _at_ linux.org.ba>
+## Licensed under GNU GPL v2
+
+PRGNAM=mod_wsgi
+VERSION=2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# CFLAGS are automatically picked from Python
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./configure
+
+# libtool can't find shared Python library;
+# there should be symlink to libpython in /usr/lib/python2.5/config
+# see http://code.google.com/p/modwsgi/wiki/InstallationIssues
+make LDFLAGS="-L/usr/lib"
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENCE README $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.Slackware
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/mod_wsgi/mod_wsgi.info b/network/mod_wsgi/mod_wsgi.info
new file mode 100644
index 0000000000..0d4d5a01b3
--- /dev/null
+++ b/network/mod_wsgi/mod_wsgi.info
@@ -0,0 +1,8 @@
+PRGNAM="mod_wsgi"
+VERSION="2.0"
+HOMEPAGE="http://www.modwsgi.org"
+DOWNLOAD="http://modwsgi.googlecode.com/files/mod_wsgi-2.0.tar.gz"
+MD5SUM="72e871d4fda1da33829ae3c7f3f2aeb6"
+MAINTAINER="Adis Nezirovic"
+EMAIL="adis_at_linux.org.ba"
+APPROVED="rworkman"
diff --git a/network/mod_wsgi/slack-desc b/network/mod_wsgi/slack-desc
new file mode 100644
index 0000000000..e98089d9c2
--- /dev/null
+++ b/network/mod_wsgi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+mod_wsgi: mod_wsgi (Python WSGI Apache Module)
+mod_wsgi:
+mod_wsgi: mod_wsgi is a simple to use Apache module which can host any
+mod_wsgi: Python application which supports the Python WSGI interface.
+mod_wsgi: The module would be suitable for use in hosting high performance
+mod_wsgi: production web sites as well as your average personal sites
+mod_wsgi: running on commodity web hosting services.
+mod_wsgi:
+mod_wsgi: Homepage: http://www.postgresql.org
+mod_wsgi:
+mod_wsgi: